BRepBuilderAPI_MakeEdge2d -> BRepBuilderAPI_MakeWire

I am newbie and probably this is not possible, but I would like to know how to deal with BRepBuilderAPI_MakeEdge2d. I though it would be possible to convert it into a Wire. My idea was working like in a sketcher in 2d to later export it into a STEP file (which I don't know if it is possible to export just 2D into a STEP file).

Jose M. Garcia's picture

Nothing. I saw there is an operator

Jose M. Garcia's picture

It seems that this is not exported into the STEP file. Is this the expected behaviour?
```

ISO-10303-21;
HEADER;
FILE_DESCRIPTION(('Open CASCADE Model'),'2;1');
FILE_NAME('Open CASCADE Shape Model','2021-12-15T12:42:07',('Author'),(
    'Open CASCADE'),'Open CASCADE STEP processor 7.5','Open CASCADE 7.5'
  ,'Unknown');
FILE_SCHEMA(('AUTOMOTIVE_DESIGN { 1 0 10303 214 1 1 1 1 }'));
ENDSEC;
DATA;
#1 = APPLICATION_PROTOCOL_DEFINITION('international standard',
  'automotive_design',2000,#2);
#2 = APPLICATION_CONTEXT(
  'core data for automotive mechanical design processes');
#3 = SHAPE_DEFINITION_REPRESENTATION(#4,#10);
#4 = PRODUCT_DEFINITION_SHAPE('','',#5);
#5 = PRODUCT_DEFINITION('design','',#6,#9);
#6 = PRODUCT_DEFINITION_FORMATION('','',#7);
#7 = PRODUCT('Open CASCADE STEP translator 7.5 1',
  'Open CASCADE STEP translator 7.5 1','',(#8));
#8 = PRODUCT_CONTEXT('',#2,'mechanical');
#9 = PRODUCT_DEFINITION_CONTEXT('part definition',#2,'design');
#10 = GEOMETRICALLY_BOUNDED_WIREFRAME_SHAPE_REPRESENTATION('',(#11),#15 );
#11 = AXIS2_PLACEMENT_3D('',#12,#13,#14);
#12 = CARTESIAN_POINT('',(0.,0.,0.));
#13 = DIRECTION('',(0.,0.,1.));
#14 = DIRECTION('',(1.,0.,-0.));
#15 = ( GEOMETRIC_REPRESENTATION_CONTEXT(3) 
GLOBAL_UNCERTAINTY_ASSIGNED_CONTEXT((#19)) GLOBAL_UNIT_ASSIGNED_CONTEXT(
(#16,#17,#18)) REPRESENTATION_CONTEXT('Context #1',  '3D Context with UNIT and UNCERTAINTY') );
#16 = ( LENGTH_UNIT() NAMED_UNIT(*) SI_UNIT(.MILLI.,.METRE.) );
#17 = ( NAMED_UNIT(*) PLANE_ANGLE_UNIT() SI_UNIT($,.RADIAN.) );
#18 = ( NAMED_UNIT(*) SI_UNIT($,.STERADIAN.) SOLID_ANGLE_UNIT() );
#19 = UNCERTAINTY_MEASURE_WITH_UNIT(LENGTH_MEASURE(1.E-07),#16,  'distance_accuracy_value','confusion accuracy');
#20 = PRODUCT_RELATED_PRODUCT_CATEGORY('part',$,(#7));
ENDSEC;
END-ISO-10303-21;

```

What I am doing:
1. Create 4 TopoDS_Edge with the following pattern: GCE2d_MakeSegment -> Handle_Geom2d_TrimmedCurve -> BRepBuilderAPI_MakeEdge2d -> TopoDS_Edge
2. Create a Wire with the four edges.
3. Export to STEP

Jose M. Garcia's picture

(Sorry for editing so many times, but it misinterpret the hash + number as an issue even when it is included in the source code)